Open CASCADE Technology: PColgp_HArray2OfVec Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PColgp_HArray2OfVec Class Reference

`#include <PColgp_HArray2OfVec.hxx>`

Inheritance diagram for PColgp_HArray2OfVec:
[legend]

## Public Member Functions
| PColgp_HArray2OfVec (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
| PColgp_HArray2OfVec (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const gp_Vec &V)
Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | RowLength () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Vec &Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
gp_Vec | Value (const Standard_Integer Row, const Standard_Integer Col) const
| PColgp_HArray2OfVec ()
| PColgp_HArray2OfVec (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfVecmyLowerRow () const
void | _CSFDB_SetPColgp_HArray2OfVecmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfVecmyLowerCol () const
void | _CSFDB_SetPColgp_HArray2OfVecmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfVecmyUpperRow () const
void | _CSFDB_SetPColgp_HArray2OfVecmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfVecmyUpperCol () const
void | _CSFDB_SetPColgp_HArray2OfVecmyUpperCol (const Standard_Integer p)
const PColgp_FieldOfHArray2OfVec & | _CSFDB_GetPColgp_HArray2OfVecData () const
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PColgp_HArray2OfVec::PColgp_HArray2OfVec | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

PColgp_HArray2OfVec::PColgp_HArray2OfVec | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const gp_Vec & | V
| ) |  |

PColgp_HArray2OfVec::PColgp_HArray2OfVec | ( |  | ) |
| inline

PColgp_HArray2OfVec::PColgp_HArray2OfVec | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const PColgp_FieldOfHArray2OfVec& PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecData | ( |  | ) | const
| inline

Standard_Integer PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecmyLowerCol | ( |  | ) | const
| inline

Standard_Integer PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecmyLowerRow | ( |  | ) | const
| inline

Standard_Integer PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecmyUpperCol | ( |  | ) | const
| inline

Standard_Integer PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecmyUpperRow | ( |  | ) | const
| inline

void PColgp_HArray2OfVec::_CSFDB_SetPColgp_HArray2OfVecmyLowerCol | ( | const Standard_Integer | p | ) |
| inline

void PColgp_HArray2OfVec::_CSFDB_SetPColgp_HArray2OfVecmyLowerRow | ( | const Standard_Integer | p | ) |
| inline

void PColgp_HArray2OfVec::_CSFDB_SetPColgp_HArray2OfVecmyUpperCol | ( | const Standard_Integer | p | ) |
| inline

void PColgp_HArray2OfVec::_CSFDB_SetPColgp_HArray2OfVecmyUpperRow | ( | const Standard_Integer | p | ) |
| inline

Standard_Integer PColgp_HArray2OfVec::ColLength | ( |  | ) | const

Standard_Integer PColgp_HArray2OfVec::LowerCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfVec::LowerRow | ( |  | ) | const

Standard_Integer PColgp_HArray2OfVec::RowLength | ( |  | ) | const

void PColgp_HArray2OfVec::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Vec & | Value
| ) |  |

Standard_Integer PColgp_HArray2OfVec::UpperCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfVec::UpperRow | ( |  | ) | const

gp_Vec PColgp_HArray2OfVec::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const

The documentation for this class was generated from the following file:

- PColgp_HArray2OfVec.hxx